#!/bin/bash
# http://insecure.org/nmap/
#
# Maintainer: til <rob DOT til DOT freedman AT googlemail DOT com>
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb/extra/xap/zenmap
set -x -e

version=5.21
#
build=66.1
arch=i486
tune=i686

pkgname=zenmap-$version
package=$pkgname-$arch-$build

PKG_SRC="http://nmap.org/dist/nmap-$version.tar.bz2
$REPO/build-zenmap.sh"

PKG_DEP="gcc,gcc-g++,nmap,openssl,pcre,python,tcpdump"

# build directory
CWD=`pwd`
TMP=${TMP:-$CWD}
SRC=$TMP/nmap-$version
PKG=$TMP/$package

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/nmap-$version.tar.bz2 -C $TMP
cd $SRC
./configure --help >$CWD/configure--help

CFLAGS="-O2 -march=$arch -mtune=$tune" \
  ./configure \
   --prefix=/usr \
   --mandir=/usr/man \
   --sysconfdir=/etc \
   --with-zenmap \
   --build=$arch-slackware-linux

make build-zenmap || exit
make install-zenmap  DESTDIR=$PKG
#
rm $PKG/usr/bin/uninstall_zenmap

# helperline
(cd $PKG; find . -printf "%y %m %u:%g %p %l\n" ) >$CWD/make.installed

# docs
cp -a zenmap/{README,COPYING*} $PKG/usr/doc/$pkgname

cd $PKG
find usr/man -type f -iname '*.?' |xargs -r gzip -9

# desktop icons
mkdir -p usr/share/icons/hicolor/{24x24,32x32,48x48}/apps

for size in 24x24 32x32; do
  convert -size $size -depth 8 usr/share/zenmap/pixmaps/zenmap.png \
    usr/share/icons/hicolor/$size/apps/zenmap.png
done
cp usr/share/zenmap/pixmaps/zenmap.png \
	usr/share/icons/hicolor/48x48/apps/zenmap.png

# fix desktop file
sed -i 's@/usr/share/zenmap/pixmaps/zenmap.png@zenmap.png@' \
	usr/share/applications/{zenmap-root.desktop,zenmap.desktop}

# su-to-zenmap.sh didn't work for me...
cat <<"EOF" >usr/bin/zenmap-admin
#!/bin/sh
exec gksu /usr/bin/zenmap "$@"
EOF
sed -i 's@/usr/share/zenmap/su-to-zenmap.sh@zenmap-admin@g' \
	usr/share/applications/zenmap-root.desktop
	
#     |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
zenmap: Zenmap (Zenmap is an Nmap frontend)
zenmap: 
zenmap: It is meant to be useful for advanced users and to make Nmap
zenmap: easy to use by beginners. It was originally derived from Umit,
zenmap: an Nmap GUI created as part of the Google Summer of Code.
zenmap: 
EOF
#
cp $CWD/build-zenmap.sh usr/src/$pkgname
#
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz
cd $CWD
echo $PKG_DEP >$package.dep
#depfinder $PKG # >$package.dep
echo "$PKG_SRC" >$package.src
md5sum $package.txz >$package.md5

